From: Mike Anderson <andmike@us.ibm.com>

Allow check_device_area to succeed if a device has an i_size of zero. This
addresses an issue seen on DASD devices setting up a multipath table for
paths in online and offline state.

Signed-off-by: Mike Anderson <andmike@us.ibm.com>

 drivers/md/dm-table.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

Index: linux-2.6.19/drivers/md/dm-table.c
===================================================================
--- linux-2.6.19.orig/drivers/md/dm-table.c	2007-01-09 14:32:41.000000000 +0000
+++ linux-2.6.19/drivers/md/dm-table.c	2007-01-09 14:54:52.000000000 +0000
@@ -435,7 +435,8 @@ static int check_device_area(struct dm_d
 {
 	sector_t dev_size;
 	dev_size = dd->bdev->bd_inode->i_size >> SECTOR_SHIFT;
-	return ((start < dev_size) && (len <= (dev_size - start)));
+	return dev_size ?
+		((start < dev_size) && (len <= (dev_size - start))) : 1;
 }
 
 /*
